Index: linux/myri10ge.c
===================================================================
RCS file: /nfs/repository/myrige/linux/myri10ge.c,v
retrieving revision 1.174
diff -u -r1.174 myri10ge.c
--- linux/myri10ge.c	25 Sep 2006 23:22:14 -0000	1.174
+++ linux/myri10ge.c	26 Sep 2006 18:16:15 -0000
@@ -109,6 +109,11 @@
 #define MYRI10GE_NO_CONFIRM_DATA 0xffffffff
 #define MYRI10GE_NO_RESPONSE_RESULT 0xffffffff
 #define MYRI10GE_ALLOC_ORDER 0
+#if MYRI10GE_ALLOC_ORDER > 0
+#define MYRI10GE_GFP_COMP __GFP_COMP
+#else
+#define MYRI10GE_GFP_COMP 0
+#endif
 #define MYRI10GE_ALLOC_SIZE ((1 << MYRI10GE_ALLOC_ORDER) * PAGE_SIZE)
 #define MYRI10GE_MAX_FRAGS_PER_FRAME (MYRI10GE_MAX_ETHER_MTU/MYRI10GE_ALLOC_SIZE + 1)
 
@@ -1349,7 +1354,7 @@
 #endif
 		} else {
 			/* we need a new page */
-			page = alloc_pages(GFP_ATOMIC | (MYRI10GE_ALLOC_ORDER > 0 ? __GFP_COMP : 0), MYRI10GE_ALLOC_ORDER);
+			page = alloc_pages(GFP_ATOMIC | MYRI10GE_GFP_COMP, MYRI10GE_ALLOC_ORDER);
 			if (unlikely(page == NULL)) {
 				if (rx->fill_cnt - rx->cnt < 16)
 					rx->watchdog_needed = 1;
